Subject: Re: (XoJIG 432) (i18n.146) Re: Support for symbolic character names

From: [email-masked] (Teruhiko Kurosaka)
Date: Wed, 15 Jan 92 16:18:50 PST

Dave Taylor writes:
   |the collating / transliteration tables nice and obvious too.  Indeed,
   |one wonders why we don't just have everything defined that way anyway,
   |so that regular C could contain tests like:
   |
   |	if (ch == COLON || ch == EXCLAMATION_MARK || ch == ASTERISK)
   |
   |rather than the much less portable, and more cryptic tests like:
   |
   |	if (ch == ':' || ch == '!' || ch == '*')
   |
Interesting.  To me, the former is more cryptic than the latter.  The
latter is much more straight.  And I don't understand why the former
is more portable than the latter.  Only advantage I can see in the
former way is that you can edit a program on the machine that lacks
the character you'd like to display on the target system.
BTW, is anybody trying to name all the 10,000+ Chinese characters?
-kuro